<?php
if (!defined('ABSPATH')) exit;

$user_info = OpenDrive::i()->getUserInfo();
if(!$user_info) return;
?>
<li class="item <?php if (!isset($od_subpage) || $od_subpage == '' || $od_subpage == 'users') echo 'active';?>">
    <a href="/admin/users"><i class="fa fa-users" aria-hidden="true"></i><?php _e('Users', 'opendrive') ?></a>
</li>
<?php if($user_info->IsPartner >= 2 || ($user_info->AccessUserID && $user_info->AccessAdminLevel >= 95)):?>
<li class="item <?php if ($od_subpage == 'partners') echo 'active';?> admin-partners">
    <a href="/admin/partners"><i class="fa fa-tachometer" aria-hidden="true"></i><?php _e('Dashboard', 'opendrive') ?></a>
</li>
<li class="item <?php if ($od_subpage == 'stats') echo 'active';?> admin-stats">
    <a href="/admin/stats"><i class="fa fa-th" aria-hidden="true"></i><?php _e('Bandwidth Statistic', 'opendrive') ?></a>
</li>
<?php endif;?>