<script type="text/x-handlebars-template" data-name="RootMenuSubdirItem">
    <ul class="child-dir od-font-color js-child-dir" data-folders-loaded="1">
        {{#each SubFolders}}
        <li class="folder-item {{#if ChildFolders}}has-child{{/if}}"
            {{#if ../SharingID}}id="folder-{{FolderID}}-{{../SharingID}}"{{else}}id="folder-{{FolderID}}"{{/if}}
            data-access="{{Access}}" data-useraccessmode="{{../UserAccessMode}}" data-directlink="{{Link}}">
            <i class="fa fa-caret-down expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <i class="fa fa-caret-right expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <a class="od-font-color od-font-color-hover ellipsis_overflow js-folder-link droppable" href="/files/{{FolderID}}">
                <i class="fa fa-folder pull-left"></i>
                <i class="fa fa-folder-open pull-left"></i>
                <span class="js-folder-name">{{Name}}</span>
            </a>
            <ul class="child-dir od-font-color js-child-dir"></ul>
            <i class="fa fa-bars js-open-folder-menu"></i>
        </li>
        {{/each}}
        {{#each SharedUsers}}
        <li class="folder-item has-child" id="folder-0-{{SharingID}}">
            <i class="fa fa-caret-down expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <i class="fa fa-caret-right expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <a class="od-font-color od-font-color-hover ellipsis_overflow js-folder-link droppable" href="/files/{{SharingID}}">
                <i class="fa fa-folder pull-left"></i>
                <i class="fa fa-folder-open pull-left"></i>
                <span class="js-folder-name">{{Name}}</span>
            </a>
            <ul class="child-dir od-font-color js-child-dir"></ul>
        </li>
        {{/each}}
        {{#each SharedFolders}}
        <li class="folder-item {{#if HasSubfolders}}has-child{{/if}}" id="folder-{{FolderID}}-{{SharingID}}" data-access="{{Access}}" data-directlink="{{Link}}">
            <i class="fa fa-caret-down expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <i class="fa fa-caret-right expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
            <a class="od-font-color od-font-color-hover ellipsis_overflow js-folder-link droppable" href="/files/folder-{{FolderID}}-{{SharingID}}">
                <i class="fa fa-folder pull-left"></i>
                <i class="fa fa-folder-open pull-left"></i>
                <span class="js-folder-name">{{Name}}</span>
            </a>
            <ul class="child-dir od-font-color js-child-dir"></ul>
            <i class="fa fa-bars js-open-folder-menu"></i>
        </li>
        {{/each}}
        {{#if IsLoading}}
        <!--<li class="no-left-padding"><i class="fa fa-refresh fa-spin"></i></li>-->
        {{/if}}
    </ul>
</script>

<script type="text/x-handlebars-template" data-name="RootDirItem">
    <li class="item folder-item dropdown" id="folder-{{FolderID}}" data-directlink="{{Link}}" data-access="{{Access}}"">
        <a href="/files/{{FolderID}}" class="od_root_folders droppable js-root-folder" title="{{Name}}">
            <i class="fa fa-folder"></i>
            <i class="fa fa-folder-open"></i>
            <span class="folder-name ellipsis_overflow js-folder-name" placeholder="<?php _e('Folder name', 'opendrive')?>">{{Name}}</span></a>
        {{#if FolderID}}
        <i class="fa fa-bars js-item-menu-btn dropdown-toggle" data-toggle="dropdown" aria-label="<?php _e('Open Folder Menu', 'opendrive')?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
        <ul class="folder-menu dropdown-menu dropdown-menu-right">
            <li><a href="/files/{{FolderID}}"><?php _e('Open', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-move-link"><?php _e('Move', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-copy-link"><?php _e('Copy', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-properties-link"><?php _e('Properties', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-links-link"><?php _e('Links', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-expiring-links-link"><?php _e('Expiring Links', 'opendrive')?></a></li>
            <!--<li><a href="#">Request Files</a></li>-->
            <li><a href="#" class="js-context-send-by-email"><?php _e('Send by Email', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-trash-link orange-text"><?php _e('Trash', 'opendrive')?></a></li>
        </ul>
        <ul class="child-dir od-font-color js-child-dir">
        </ul>
        {{/if}}
    </li>
</script>

<script type="text/x-handlebars-template" data-name="NewSubFolder">
    <li class="folder-item ">
        <i class="fa fa-caret-down expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
        <i class="fa fa-caret-right expand-folder od-font-color od-font-color-hover js-expand-folder"></i>
        <a class="od-font-color od-font-color-hover ellipsis_overflow js-folder-link" href="#">
            <i class="fa fa-folder pull-left"></i>
            <span placeholder="<?php _e('Folder name', 'opendrive')?>" class="js-folder-name js-new-folder"></span>
        </a>
    </li>
</script>
<script type="text/x-handlebars-template" data-name="LightboxFolderTree">
    <div class="lightbox-scrollable-content">
        <li id="0" class="one-folder expanded">
            <i class="fa fa-square-o expanded-i" title="<?php _e('Root Folder', 'opendrive')?>"></i>
            <i aria-label="Select" class="fa fa-circle-o checkbox" role="radio" aria-checked="false"></i>
            <i aria-label="Deselect" class="fa fa-dot-circle-o checkbox" role="radio" aria-checked="true"></i>
            <i class="fa fa-hdd-o"></i><a class="folder-title" href="#">{{Drivename}}</a>
        </li>
        {{#each SubFolders}}
        <li class="one-folder" id="{{FolderID}}">
            <i class="fa fa-minus-square-o expanded-i" title="<?php _e('Expanded', 'opendrive')?>"></i>
            <i class="fa fa-plus-square-o expand" title="<?php _e('Expand', 'opendrive')?>"></i>
            <i class="fa fa-circle-o checkbox" aria-label="<?php _e('Select', 'opendrive')?>" role="radio" aria-checked="false"></i>
            <i class="fa fa-dot-circle-o checkbox" aria-label="<?php _e('Deselect', 'opendrive')?>" role="radio" aria-checked="true"></i>
            <i class="fa fa-folder-o" aria-hidden="true"></i>
            <a href="#" class="folder-title">{{Name}}</a>
        </li>
        {{/each}}
    </div>
</script>

<script type="text/x-handlebars-template" data-name="LightboxSubFolderTree">
{{#if Folders}}
<ul>
    {{#each Folders}}
    <li class="one-folder" id="{{FolderID}}">
        <i class="fa fa-minus-square-o expanded-i" title="<?php _e('Expanded', 'opendrive')?>"></i>
        <i class="fa fa-plus-square-o expand" title="<?php _e('Expand', 'opendrive')?>"></i>
        <i class="fa fa-circle-o checkbox" title="<?php _e('Select', 'opendrive')?>" role="radio" aria-checked="false"></i>
        <i class="fa fa-dot-circle-o checkbox" title="<?php _e('Deselect', 'opendrive')?>" role="radio" aria-checked="true"></i>
        <i class="fa fa-folder-o" aria-hidden="true"></i>
        <a href="#" class="folder-title">{{Name}}</a></li>
    {{/each}}
</ul>
{{/if}}
</script>

<script type="text/x-handlebars-template" data-name="BreadCrumbFileItem">
    <div class="js-breadcrumb" data-itemid="{{ItemId}}">
        <div class="buttons">
            <a class="fa fa-download" href="/download/{{FileId}}?folder_id={{FolderId}}"></a>
            <i class="fa fa-share-alt js-file-action" data-action="share" title="<?php _e('Share', 'opendrive')?>"></i>
            <i class="fa fa-info js-file-action" data-action="info" title="<?php _e('File Info', 'opendrive')?>"></i>
        </div>
        <h2>
            <span><a href="/files">{{SiteConfig.DriveName}}</a> / </span>
            <a href="#" title="{{Name}}">{{Name}}</a>
        </h2>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="BreadCrumbPDFFileItem">
    <div class="js-breadcrumb" data-itemid="{{ItemId}}">
        <div class="buttons">
            <a class="fa fa-download" href="/download/{{FileId}}?folder_id={{FolderId}}"></a>
        </div>
        <h2>
            <span><a href="/files">{{SiteConfig.DriveName}}</a> / </span>
            <a href="#" title="{{Name}}">{{Name}}</a>
        </h2>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="BreadCrumbImageItem">
    <div class="js-breadcrumb" data-itemid="{{ItemId}}">
        <div class="buttons">
            <a class="fa fa-download" href="/download/{{FileId}}?folder_id={{FolderId}}"></a>
            <i class="fa fa-share-alt js-file-action" data-action="share" title="<?php _e('Share', 'opendrive')?>"></i>
            <i class="fa fa-undo js-file-action" data-action="rotate-left" title="<?php _e('Rotate Left', 'opendrive')?>"></i>
            <i class="fa fa-repeat js-file-action" data-action="rotate-right" title="<?php _e('Rotate Right', 'opendrive')?>"></i>
            <i class="fa fa-info js-file-action" data-action="info" title="<?php _e('File Info', 'opendrive')?>"></i>
        </div>
        <h2>
            <span><a href="/files">{{SiteConfig.DriveName}}</a> / </span>
            <a href="#" title="{{Name}}">{{Name}}</a>
        </h2>
    </div>
</script>
<script type="text/x-handlebars-template" data-name="BreadCrumbItem">
<div class="js-breadcrumb" data-itemid="{{ItemId}}">
    <div class="buttons">
        {{#if_ne FolderId 'trash'}}
        {{#if_ne FolderId 'search'}}
        {{#if_ne FolderId 'shared_users'}}
        {{#if UploadAllowed}}
            <i class="fa fa-upload {{#if_eq UserAccessMode 0}}permanent-disabled{{/if_eq}} js-menu-upload-btn" title="<?php _e('Upload', 'opendrive')?>" role="button" aria-label="<?php _e('Upload', 'opendrive')?>" {{#if_eq UserAccessMode 0}}aria-disabled="true"{{/if_eq}}></i>
            <!-- <i class="fa fa-cloud-upload {{#if_eq UserAccessMode 0}}permanent-disabled{{/if_eq}} js-menu-upload-web-btn" title="<?php _e('Upload from Web', 'opendrive')?>" role="button" aria-label="<?php _e('Upload from Web', 'opendrive')?>" {{#if_eq UserAccessMode 0}}aria-disabled="true"{{/if_eq}}></i> -->
        {{/if}}
        {{#if DownloadAllowed}}
            <i class="fa fa-download" id="menu-download-btn" title="<?php _e('Download', 'opendrive')?>" role="button" aria-label="<?php _e('Download', 'opendrive')?>"></i>
        {{/if}}

        {{#if CanCreateItems}}
        <ul class="dropdown" aria-label="<?php _e('New files popup menu', 'opendrive')?>">
            <li><i class="fa fa-file-o" aria-hidden="true"></i>&nbsp;<span class="caret"></span>
                <ul>
                    {{#if SiteConfig.CreateFolders}}
                    <!--<li><i class="fa fa-folder"></i><a href="#" id="submenu-new-folder-btn" class="create-new-folder"><?php _e('New Subfolder', 'opendrive')?></a></li>-->
                    {{/if}}
                    {{#if SiteConfig.CreateTXT}}
                        <li><i class="fa fa-file-text-o" aria-hidden="true"></i><a href="#" class="js-create-new-file" id="new-file-txt"><?php _e('New Text', 'opendrive')?></a></li>
                    {{/if}}
                    {{#if SiteConfig.CreateDOC}}
                        <li><i class="fa fa-file-word-o" aria-hidden="true"></i><a href="#" class="js-create-new-file" id="new-file-doc"><?php _e('New Document', 'opendrive')?></a></li>
                    {{/if}}
                    {{#if SiteConfig.CreateXLS}}
                        <li><i class="fa fa-file-excel-o" aria-hidden="true"></i><a href="#" class="js-create-new-file" id="new-file-xls"><?php _e('New Spreadsheet', 'opendrive')?></a></li>
                    {{/if}}
                    {{#if SiteConfig.CreatePPT}}
                        <li><i class="fa fa-file-powerpoint-o" aria-hidden="true"></i><a href="#" class="js-create-new-file" id="new-file-ppt"><?php _e('New Presentation', 'opendrive')?></a></li>
                    {{/if}}
                </ul>
            </li>
        </ul>
        {{/if}}
        {{/if_ne}}{{/if_ne}}{{/if_ne}}

        {{#if_ne FolderId 'shared_users'}}
        <i class="fa fa-check-square-o js-selectall" title="<?php _e('Select All', 'opendrive')?>" role="button" aria-label="<?php _e('Select All', 'opendrive')?>"></i>
        {{/if_ne}}

        {{#if_eq FolderId 'trash'}}
            <i class="fa fa-undo disabled" id="trash-restore-btn" title="<?php _e('Restore', 'opendrive')?>" role="button" aria-label="<?php _e('Restore', 'opendrive')?>"></i>
            <i class="fa fa-trash disabled" id="trash-delete-btn" title="<?php _e('Delete', 'opendrive')?>" role="button" aria-label="<?php _e('Delete', 'opendrive')?>"></i>
        {{else}}
            {{#unless SiteConfig.Public}}
                {{#if_ne FolderId 'shared_users'}}
                <i class="fa fa-trash-o {{#if_eq UserAccessMode 0}}permanent-disabled{{/if_eq}}" id="menu-trash-btn" title="<?php _e('Trash', 'opendrive')?>" {{#if_eq UserAccessMode 0}}aria-disabled="true"{{/if_eq}}></i>
                {{/if_ne}}
            {{/unless}}
        {{/if_eq}}


        <i class="fa fa-th view-mode js-change-view-mode {{#if_eq SiteConfig.ViewMode 'grid'}}active{{/if_eq}}" title="<?php _e('Grid View', 'opendrive')?>" data-mode="grid" role="button" aria-label="<?php _e('Switch to Grid View', 'opendrive')?>"></i>
        <i class="fa fa-list view-mode js-change-view-mode {{#if_eq SiteConfig.ViewMode 'list'}}active{{/if_eq}}" title="<?php _e('List View', 'opendrive')?>" data-mode="list" role="button" aria-label="<?php _e('Switch to List View', 'opendrive')?>"></i>
    </div>
    <h2>
        {{#if_eq FolderId 'trash'}}
        <span><a href="/files/trash"><?php _e('Trash', 'opendrive')?></a></span>
        {{/if_eq}}

        {{#if_eq FolderId 'shared_users'}}
        <span><a href="/files">{{SiteConfig.DriveName}}</a> /</span> <a href="/files/shared_users"><?php _e('Shared Folders', 'opendrive')?></a>
        {{/if_eq}}

        {{#if SharedUserName}}
            <span><a href="/files">{{SiteConfig.DriveName}}</a> /</span>
            <a href="/files/shared_users"><?php _e('Shared Folders', 'opendrive')?></a> /
            <a href="/files/shared_users/{{SharingID}}">{{SharedUserName}}</a> /
        {{/if}}

        {{#if_eq FolderId 'search'}}
        <span><a href="/files">{{SiteConfig.DriveName}}</a> / <?php _e('Search', 'opendrive')?> / {{SearchTerm}}</span>
        {{/if_eq}}

        {{#if_ne FolderId 'trash'}}{{#if_ne FolderId 'search'}}{{#if_ne FolderId 'shared_users'}}{{#unless SharedUserName}}
            <span><a href="/{{#if SiteConfig.Public}}fl{{else}}files{{/if}}">{{SiteConfig.DriveName}}</a>{{#if Breadcrumbs}} / {{/if}}</span>
        {{/unless}}{{/if_ne}}{{/if_ne}}{{/if_ne}}

        {{#if BreadcrumbsTruncated}}
        <a href="#">...</a> <span class="delimiter">/ </span>
        {{/if}}

        {{#if SiteConfig.Public}}
        {{#each Breadcrumbs}}
        <a href="/fl/{{FolderID}}" title="{{Name}}">{{Name}}</a>
        {{#unless @last}}
        <span class="delimiter">/ </span>
        {{/unless}}
        {{/each}}
        {{else}}
        {{#each Breadcrumbs}}
        <a href="/files/{{FolderID}}" title="{{Name}}">{{Name}}</a>
        {{#unless @last}}
        <span class="delimiter">/ </span>
        {{/unless}}
        {{/each}}
        {{/if}}
    </h2>
</div>
</script>

<script type="text/x-handlebars-template" data-name="FolderPopupMenu" data-partial="1">
    <ul class="folder-menu dropdown-menu dropdown-menu-float-right js-dynamic">
        {{#if_eq ParentFolderId 'trash'}}
            <li><a href="#" class="js-context-remove-folder"><?php _e('Delete', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-restore-folder"><?php _e('Restore', 'opendrive')?></a></li>
        {{else}}
            <li><a href="/files/{{FolderID}}"><?php _e('Open', 'opendrive')?></a></li>
            {{#unless InitOptions.Public}}
            <li><a href="#" class="js-context-copy-link"><?php _e('Copy', 'opendrive')?></a></li>
            {{/unless}}
            <li><a href="#" class="js-context-links-link"><?php _e('Links', 'opendrive')?></a></li>
            {{#unless InitOptions.Public}}
        <li><a href="#" class="js-context-expiring-links-link"><?php _e('Expiring Links', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-send-by-email"><?php _e('Send by Email', 'opendrive')?></a></li>
            {{/unless}}

            {{#unless FolderReadOnly}}
                <li><a href="#" class="js-context-move-link"><?php _e('Move', 'opendrive')?></a></li>
                <li><a href="#" class="js-context-properties-link"><?php _e('Properties', 'opendrive')?></a></li>
                <li><a href="#" class="js-context-trash-link orange-text"><?php _e('Trash', 'opendrive')?></a></li>
            {{/unless}}
        {{/if_eq}}
    </ul>
</script>

<script type="text/x-handlebars-template" data-name="RootFoldersPopupMenu">
    <ul class="folder-menu dropdown-menu dropdown-menu-right js-folder-menu">
        <li><a href="/files/{{FolderID}}"><?php _e('Open', 'opendrive')?></a></li>
        {{#unless ReadOnly}}
        <li><a href="#" class="js-context-move-link"><?php _e('Move', 'opendrive')?></a></li>
        {{/unless}}
        <li><a href="#" class="js-context-copy-link"><?php _e('Copy', 'opendrive')?></a></li>
        {{#unless ReadOnly}}
        <li><a href="#" class="js-context-properties-link"><?php _e('Properties', 'opendrive')?></a></li>
        {{/unless}}
        <li><a href="#" class="js-context-links-link"><?php _e('Links', 'opendrive')?></a></li>
        <li><a href="#" class="js-context-expiring-links-link"><?php _e('Expiring Links', 'opendrive')?></a></li>
        <li><a href="#" class="js-context-send-by-email"><?php _e('Send by Email', 'opendrive')?></a></li>
        {{#unless ReadOnly}}
        <li><a href="#" class="js-context-trash-link orange-text"><?php _e('Trash', 'opendrive')?></a></li>
        {{/unless}}
    </ul>
</script>

<script type="text/x-handlebars-template" data-name="FolderGridItem" data-partial="1">
    <div class="grid-item item js-content-item folder-item
    {{#if_ne ParentFolderId 'trash'}}
        {{#unless FolderReadOnly}}
            draggable
            droppable
        {{/unless}}
    {{/if_ne}}
    col-md-2 col-sm-4 col-xs-6" id="folder-{{FolderID}}{{#if SharingID}}-{{SharingID}}{{/if}}"
         {{#if Link}}
         data-directlink="{{Link}}"
         {{/if}}
         data-access="{{Access}}"
        >
        <div class="folder">
            <i class="fa fa-check-square-o js-item-checkbox checkbox" aria-label="<?php _e('Deselect', 'opendrive')?>" title="<?php _e('Deselect', 'opendrive')?>" role="checkbox" aria-checked="true"></i>
            <i class="fa fa-square-o js-item-checkbox checkbox" aria-label="<?php _e('Select', 'opendrive')?>" title="<?php _e('Select', 'opendrive')?>" role="checkbox" aria-checked="false"></i>
            <i class="fa fa-bars js-item-menu-btn menu-btn dropdown-toggle" data-toggle="dropdown" title="<?php _e('Folder Menu', 'opendrive')?>" aria-label="<?php _e('Open Folder Menu', 'opendrive')?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
            <a href="/files/{{FolderID}}" class="folder-link {{#if_eq Shared 'True'}}shared-folder{{/if_eq}}" aria-label="<?php _e('Folder', 'opendrive')?> {{Name}}">
                <i class="fa fa-folder" aria-hidden="true"></i>
            </a>
        </div>
        <label class="folder-name js-folder-name js-truncate" title="{{Name}}" data-filename="{{Name}}">{{Name}}</label>
        <span class="folder-size">
            {{#if_eq Access 0}}
                <i class="fa fa-eye-slash" title="<?php _e('Private', 'opendrive')?>"></i>
            {{/if_eq}}
        </span>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="SharedUserGridItem" data-partial="1">
    <div class="grid-item item js-content-item folder-item col-md-2 col-sm-4 col-xs-6" data-sharing-id="{{SharingID}}">
        <div class="folder">
            <a href="/files/shared_users/{{SharingID}}" class="folder-link" aria-label="<?php _e('User', 'opendrive')?> {{Name}}"><i class="fa fa-folder" aria-hidden="true"></i></a>
        </div>
    <label class="folder-name js-truncate" title="{{Name}}">{{Name}}</label>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="SharedUserListItem" data-partial="1">
    <div class="row item js-content-item folder list-item folder-item" data-sharing-id="{{SharingID}}">
        <div class="col-md-7 col-sm-7 filename-col">
            <a class="folder-thumb fa fa-folder" href="/files/shared_users/{{SharingID}}" aria-label="<?php _e('Open folder', 'opendrive')?> {{Name}}"></a>
            <div class="file-name-cont">
                <label class="folder-name js-folder-name js-truncate" title="{{Name}}" data-filename="{{Name}}">{{Name}}</label>
            </div>
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="FolderListItem" data-partial="1">
    <div class="row item js-content-item folder list-item
    {{#if_ne ParentFolderId 'trash'}}
        {{#unless FolderReadOnly}}
            draggable droppable
        {{/unless}}
    {{/if_ne}}
    folder-item" id="folder-{{FolderID}}{{#if SharingID}}-{{SharingID}}{{/if}}"
         {{#if Link}}
         data-directlink="{{Link}}"
         {{/if}}
        data-access="{{Access}}"
        >
        <div class="col-md-7 col-sm-7 filename-col">
            <i class="fa fa-check-square-o js-item-checkbox checkbox" title="<?php _e('Deselect', 'opendrive')?>" role="checkbox" aria-checked="true" aria-label="<?php _e('Deselect folder', 'opendrive')?> {{Name}}"></i>
            <i class="fa fa-square-o js-item-checkbox checkbox" title="Select" role="checkbox" aria-checked="false" aria-label="<?php _e('Select folder', 'opendrive')?> {{Name}}"></i>
            <a class="folder-thumb fa fa-folder {{#if_eq Shared 'True'}}shared-folder{{/if_eq}}" href="/files/{{FolderID}}" aria-label="<?php _e('Open folder', 'opendrive')?> {{Name}}"></a>
            <div class="file-name-cont">
                <label class="folder-name js-folder-name js-truncate" title="{{Name}}" data-filename="{{Name}}">{{Name}}</label>

                {{#if_eq Access 0}}
                <i class="fa fa-eye-slash" title="<?php _e('Private', 'opendrive')?>" aria-label="<?php _e('Private', 'opendrive')?>"></i>
                {{/if_eq}}
            </div>

            <div class="hover-btns">
                {{#if_eq ParentFolderId 'trash'}}
                    <i class="fa fa-undo js-context-restore-folder" role="button" aria-label="<?php _e('Restore', 'opendrive')?>" title="<?php _e('Restore', 'opendrive')?>"></i>
                    <i class="fa fa-trash js-context-remove-folder" role="button" aria-label="<?php _e('Delete', 'opendrive')?>" title="<?php _e('Delete', 'opendrive')?>"></i>
                {{else}}
                    <i class="fa fa-share-alt js-context-links-link" role="button" aria-label="<?php _e('Links', 'opendrive')?>" title="<?php _e('Links', 'opendrive')?>"></i>
                    <i class="fa fa-share-alt js-context-expiring-links-link" role="button" aria-label="<?php _e('Expiring Links', 'opendrive')?>" title="<?php _e('Links', 'opendrive')?>"></i>


                    {{#unless FolderReadOnly}}
                        <i class="fa fa-cog js-context-properties-link" role="button" aria-label="<?php _e('Properties', 'opendrive')?>" title="<?php _e('Properties', 'opendrive')?>"></i>
                        <i class="fa fa-trash-o js-context-trash-link orange-text" role="button" aria-label="<?php _e('Trash', 'opendrive')?>" title="<?php _e('Trash', 'opendrive')?>"></i>
                    {{/unless}}
                    <i class="fa fa-bars js-item-menu-btn menu-btn dropdown-toggle" data-toggle="dropdown" title="<?php _e('Folder Menu', 'opendrive')?>" aria-label="<?php _e('Open Folder Menu', 'opendrive')?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
                {{/if_eq}}
            </div>
        </div>
        <div class="col-md-2 col-sm-2 nowrap"><span modified="{{DateModified}}">{{DateModifiedText}}</span></div>
        {{#if_eq ParentFolderId 'trash'}}
            <div class="col-md-1 col-sm-1 nowrap"><span size="0"></span></div>
            <div class="col-md-2 col-sm-2 nowrap"><span>{{DateTrashedText}}</span></div>
        {{else}}
            <div class="col-md-1 col-sm-1 nowrap"><span><?php _e('folder', 'opendrive')?></span></div>
            <div class="col-md-1 col-sm-1 nowrap"><span size="0"></span></div>
            <div class="col-md-1 col-sm-1 nowrap"><span></span></div>
        {{/if_eq}}
    </div>
</script>

<script type="text/x-handlebars-template" data-name="FilePopupMenu" data-partial="1">
    <ul class="file-menu dropdown-menu dropdown-menu-float-right js-dynamic">
        {{#if_eq ParentFolderId 'trash'}}
            <li><a href="#" class="js-context-remove-file"><?php _e('Delete', 'opendrive')?></a></li>
            <li><a href="#" class="js-context-restore-file"><?php _e('Restore', 'opendrive')?></a></li>
        {{else}}
            {{#if InitOptions.DownloadEnabled}}
                <li><a class="js-context-download" href="/download/{{FileId}}"><?php _e('Download', 'opendrive')?></a></li>
            {{/if}}
            {{#unless FolderReadOnly}}
                <li><a href="#" class="js-context-move-link"><?php _e('Move', 'opendrive')?></a></li>
                <li><a href="#" class="js-context-copy-link"><?php _e('Copy', 'opendrive')?></a></li>
                <li><a href="#" class="js-context-replace"><?php _e('Replace', 'opendrive')?></a></li>
                {{#if InitOptions.FileVersioning}}
                    <li><a href="#" class="js-context-upload-version"><?php _e('Upload New Version', 'opendrive')?></a></li>
                {{/if}}
                <li><a href="#" class="js-context-properties-link"><?php _e('Properties', 'opendrive')?></a></li>
                {{#if EditLink}}
                <li><a href="#" class="js-context-edit-link"><?php _e('Edit', 'opendrive')?></a></li>
                {{/if}}
            {{/unless}}
            {{#if_and InitOptions.FileVersioning GroupID}}{{#unless InitOptions.Public}}
            <li><a href="#" class="js-contex-file-versions"><?php _e('File Versions', 'opendrive')?></a></li>
            {{/unless}}{{/if_and}}
            <li><a href="#" class="js-context-links-link"><?php _e('Links', 'opendrive')?></a></li>
            {{#unless InitOptions.Public}}
        <li><a href="#" class="js-context-expiring-links-link"><?php _e('Expiring Links', 'opendrive')?></a></li>
        <li><a href="#" class="js-context-send-by-email"><?php _e('Send by Email', 'opendrive')?></a></li>
            {{/unless}}
            {{#unless FolderReadOnly}}
            <li><a href="#" class="js-context-trash-link orange-text"><?php _e('Trash', 'opendrive')?></a></li>
            {{/unless}}
        {{/if_eq}}
    </ul>
</script>
<script type="text/x-handlebars-template" data-name="FileGridItem" data-partial="1">
    <div class="grid-item item js-content-item file-item draggable col-md-2 col-sm-4 col-xs-6 {{FileTypeClass}}" id="file-{{FileId}}"
         data-streaminglink="{{StreamingLink}}"
         data-thumblink="{{ThumbLink}}"
         data-downloadlink="{{DownloadLink}}"
         data-directlink="{{Link}}"
         data-access="{{Access}}"
         data-file_group_id="{{GroupID}}"
         {{#if EditLink}}
            data-editlink="{{EditLink}}"
         {{/if}}
        >

        <div class="file js-file
            {{#if RecentlyUploaded}}recently-uploaded{{/if}}
            {{#if KnownFile}}known-file{{else}}unknown-file{{/if}}
            type-{{Extension}}
            {{#unless KnownFile}}{{#if IsImageFile}}js-file-thumb{{/if}}{{/unless}}
            "
             aria-label="<?php _e('File', 'opendrive')?> {{Name}}"
             {{#unless KnownFile}}{{#if IsImageFile}}data-original="{{ThumbLink}}"{{/if}}{{/unless}}
            >
            <i class="fa fa-check-square-o js-item-checkbox checkbox" role="checkbox" aria-checked="true" aria-label="<?php _e('Deselect', 'opendrive')?>" title="<?php _e('Deselect', 'opendrive')?>"></i>
            <i class="fa fa-square-o js-item-checkbox checkbox" role="checkbox" aria-checked="false" aria-label="<?php _e('Select', 'opendrive')?>" title="<?php _e('Select', 'opendrive')?>"></i>

            <i class="fa fa-bars js-item-menu-btn menu-btn dropdown-toggle" data-toggle="dropdown" title="<?php _e('File Menu', 'opendrive')?>" aria-label="<?php _e('Open File Menu', 'opendrive')?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
        </div>

        <label class="file-name js-file-name js-truncate" title="{{Name}}" data-filename="{{Name}}">{{Name}}</label>
            <span class="file-size">
                {{#if Size}}{{SizeText}}{{else}}0 B{{/if}}
                &nbsp;
                {{#if Version}}{{#unless InitOptions.Public}}(<?php _e('Ver.', 'opendrive')?> {{Version}}){{/unless}}{{/if}}

                {{#if_eq Access 0}}
                    <i class="fa fa-eye-slash" title="<?php _e('Private', 'opendrive')?>"></i>
                {{/if_eq}}

                {{#if Password}}<i class="fa fa-lock" title="<?php _e('Password protected', 'opendrive')?>"></i>{{/if}}
            </span>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="FileListItem" data-partial="1">
    <div class="row item js-content-item file list-item file-item draggable
    {{#if KnownFile}}
        known-file
    {{else}}
        unknown-file
    {{/if}}
    type-{{Extension}}
    {{FileTypeClass}}

    {{#if RecentlyUploaded}}
        recently-uploaded
    {{/if}}"
    id="file-{{FileId}}"
        data-streaminglink="{{StreamingLink}}"
        data-thumblink="{{ThumbLink}}"
        data-downloadlink="{{DownloadLink}}"
        data-directlink="{{Link}}"
        data-access="{{Access}}"
        data-file_group_id="{{GroupID}}"
        {{#if EditLink}}
            data-editlink="{{EditLink}}"
        {{/if}}
        >
        <div class="col-md-7 col-sm-7 filename-col">
            <i class="fa fa-check-square-o js-item-checkbox checkbox" title="<?php _e('Deselect', 'opendrive')?>" role="checkbox" aria-checked="true" aria-label="<?php _e('Deselect', 'opendrive')?>"></i>
            <i class="fa fa-square-o js-item-checkbox checkbox" title="<?php _e('Select', 'opendrive')?>" role="checkbox" aria-checked="false" aria-label="<?php _e('Select', 'opendrive')?>"></i>
            <a href="{{Link}}" class="thumb js-file" target="_blank">
                <div class="thumb-container {{#unless KnownFile}}{{#if IsImageFile}}js-file-thumb{{/if}}{{/unless}}"
                    {{#unless KnownFile}}{{#if IsImageFile}}data-original="{{ThumbLink}}"{{/if}}{{/unless}}>
                </div>
            </a>
            <div class="file-name-cont">
                <label class="file-name js-file-name js-truncate" title="{{Name}}" data-filename="{{Name}}">{{Name}}</label>
                {{#if Version}}
                    &nbsp;(Ver. {{Version}})
                {{/if}}

                {{#if_eq Access 0}}
                    <i class="fa fa-eye-slash" title="<?php _e('Private', 'opendrive')?>"></i>
                {{/if_eq}}
                {{#if Password}}<i class="fa fa-lock" title="<?php _e('Password protected', 'opendrive')?>"></i>{{/if}}
            </div>
            <div class="hover-btns">
                {{#if_eq ParentFolderId 'trash'}}
                    <i class="fa fa-undo js-context-restore-file" role="button" aria-label="<?php _e('Restore', 'opendrive')?>" title="<?php _e('Restore', 'opendrive')?>"></i>
                    <i class="fa fa-trash js-context-remove-file" role="button" aria-label="<?php _e('Delete', 'opendrive')?>" title="<?php _e('Delete', 'opendrive')?>"></i>
                {{else}}
                    {{#if InitOptions.DownloadEnabled}}
                        <a class="hover-download-link" href="/download/{{FileId}}"><i class="fa fa-download" role="button" aria-label="<?php _e('Download', 'opendrive')?>" title="<?php _e('Download', 'opendrive')?>"></i></a>
                    {{/if}}
                    {{#unless FolderReadOnly}}{{#if EditLink}}
                        <a href="#" class="js-context-edit-link" role="button" aria-label="<?php _e('Edit', 'opendrive')?>" title="<?php _e('Edit', 'opendrive')?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                    {{/if}}{{/unless}}
                    <i class="fa fa-share-alt js-context-links-link" aria-label="<?php _e('Links', 'opendrive')?>" role="button" title="<?php _e('Links', 'opendrive')?>"></i>
                    <i class="fa fa-share-alt js-context-expiring-links-link" aria-label="<?php _e('Expiring Links', 'opendrive')?>" role="button" title="<?php _e('Links', 'opendrive')?>"></i>

                    {{#unless FolderReadOnly}}
                        <i class="fa fa-cog js-context-properties-link" role="button" aria-label="<?php _e('Properties', 'opendrive')?>" title="<?php _e('Properties', 'opendrive')?>"></i>
                        <i class="fa fa-trash-o js-context-trash-link orange-text" role="button" aria-label="<?php _e('Trash', 'opendrive')?>" title="<?php _e('Trash', 'opendrive')?>"></i>
                    {{/unless}}

                    <i class="fa fa-bars js-item-menu-btn menu-btn dropdown-toggle" data-toggle="dropdown" title="<?php _e('File Menu', 'opendrive')?>"></i>

                {{/if_eq}}
            </div>
        </div>

        <div class="col-md-2 col-sm-2 nowrap"><span modified="{{DateModified}}">{{DateModifiedText}}</span></div>
        {{#if_eq ParentFolderId 'trash'}}
            <div class="col-md-1 col-sm-1 nowrap">
                <span size="{{Size}}"> {{#if Size}}{{SizeText}}{{else}}0 B{{/if}}</span>
            </div>
            <div class="col-md-2 col-sm-2 nowrap"><span>{{DateTrashedText}}</span></div>
        {{else}}
            <div class="col-md-1 col-sm-1 nowrap"><span>{{Extension}}</span></div>
            <div class="col-md-1 col-sm-1 nowrap">
                <span size="{{Size}}"> {{#if Size}}{{SizeText}}{{else}}0 B{{/if}}</span>
            </div>
            <div class="col-md-1 col-sm-1 nowrap"><span>{{Downloads}}</span></div>
        {{/if_eq}}
    </div>
</script>

<script type="text/x-handlebars-template" data-name="FolderContent">
    <!--
    <div class="items-count">
    {{#if_or Folders.length Files.length}}
        {{#if Folders.length}}
            {{Folders.length}} folder{{#if_gt Folders.length 1}}s{{/if_gt}}
        {{/if}}
        {{#if Files.length}}
            {{#if Folders.length}},{{/if}}
            {{Files.length}} <?php _e('file(s)', 'opendrive')?>
        {{/if}}
    {{else}}
        {{#if_eq FolderId 'trash'}}<?php _e('Trash is empty', 'opendrive')?>{{else}}<?php _e('Folder is empty', 'opendrive')?>{{/if_eq}}
    {{/if_or}}
    </div>
    -->

    {{#if_eq InitOptions.ViewMode 'list'}}
        {{> FolderListHeader}}
    {{/if_eq}}

    <div {{#unless FolderReadOnly}}data-rename-enabled="1"{{/unless}}
        class="files-{{InitOptions.ViewMode}}
                {{#if InitOptions.UploadEnabled}}
                {{#if_ne ParentFolderID 'trash'}}
                {{#unless FolderReadOnly}}
                    drop-file
                {{/unless}}
                {{/if_ne}}
                {{/if}}
                js-all-folders-files"
        data-folder-id="{{FolderId}}">

    {{#unless Folders.length}}
        {{#unless Files.length}}
            {{#unless SharedFolders.length}}
                {{#if InitOptions.UploadEnabled}}
                    {{#if_ne FolderId 'trash'}}
                        {{#unless FolderReadOnly}}
                            <div class="empty-folder-message">
                                <h2><?php _e('Drag and Drop', 'opendrive')?></h2>
                                <?php _e('Drag files from your computer and drop them here', 'opendrive')?>
                            </div>
                        {{/unless}}
                    {{/if_ne}}
                {{/if}}
            {{/unless}}
        {{/unless}}
    {{/unless}}

    {{> FolderContentList}}
    </div>
    <div class="spinner js-partial-content" style="display:none;">
        <div class="bounce1"></div>
        <div class="bounce2"></div>
        <div class="bounce3"></div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="FolderContentList" data-partial="1">
    {{#if_eq InitOptions.ViewMode 'grid'}}
        {{#each Folders}}
            {{> FolderGridItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly InitOptions=../InitOptions SharingID=../SharingID}}
        {{/each}}

        {{#each Files}}
            {{> FileGridItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly InitOptions=../InitOptions}}
        {{/each}}

        {{#each SharedUsers}}
            {{> SharedUserGridItem}}
        {{/each}}

        {{#each SharedFolders}}
            {{> FolderGridItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly InitOptions=../InitOptions}}
        {{/each}}
    {{else}}
        {{#each Folders}}
            {{> FolderListItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly UserAccessMode=../UserAccessMode InitOptions=../InitOptions SharingID=../SharingID}}
        {{/each}}

        {{#each Files}}
            {{> FileListItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly UserAccessMode=../UserAccessMode InitOptions=../InitOptions}}
        {{/each}}

        {{#each SharedUsers}}
            {{> SharedUserListItem}}
        {{/each}}

        {{#each SharedFolders}}
            {{> FolderListItem ParentFolderId=../FolderId FolderReadOnly=../FolderReadOnly InitOptions=../InitOptions}}
        {{/each}}
    {{/if_eq}}
</script>

<script type="text/x-handlebars-template" data-name="FolderListHeader" data-partial="1">
    <div class="files-list list-header-row">
        <div class="row">
            <div class="col-md-7 col-sm-7 filename-col">
                <i class="fa fa-square-o js-item-checkbox checkbox select-all" title="Select All"></i>
                <i class="fa fa-check-square-o js-item-checkbox checkbox" title="Deselect"></i>
                <a href="#" class="sort-table js-sort-table
                {{#if_eq OrderBy 'name'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="name"><?php _e('File Name', 'opendrive')?>
                    <span class="fa fa-caret-down"></span><span class="fa fa-caret-up"></span>
                </a>
            </div>
            <div class="col-md-2 col-sm-2 nowrap">
                <a href="#" class="sort-table js-sort-table
                {{#if_eq OrderBy 'modified_date'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="modified_date"><?php _e('Modified', 'opendrive')?>
                    <span class="fa fa-caret-down"></span>
                    <span class="fa fa-caret-up"></span>
                </a>
            </div>

            {{#if_eq FolderId 'trash'}}
                <div class="col-md-1 col-sm-1 nowrap">
                    <a href="#" class="sort-table js-sort-table
                    {{#if_eq OrderBy 'size'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="size"><?php _e('Size', 'opendrive')?>
                        <span class="fa fa-caret-down"></span><span class="fa fa-caret-up"></span></a></div>

                <div class="col-md-2 col-sm-2 nowrap">
                    <a href="#" class="sort-table js-sort-table
                    {{#if_eq OrderBy 'trashed_date'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="trashed_date"><?php _e('Date Deleted', 'opendrive')?>
                        <span class="fa fa-caret-down"></span><span class="fa fa-caret-up"></span></a>
                </div>
            {{else}}
                <div class="col-md-1 col-sm-1 nowrap">
                    <a href="#" class="sort-table js-sort-table
                    {{#if_eq OrderBy 'extension'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="extension"><?php _e('Type', 'opendrive')?> <span class="fa fa-caret-down"></span><span class="fa fa-caret-up"></span></a>
                </div>
                <div class="col-md-1 col-sm-1 nowrap">
                    <a href="#" class="sort-table js-sort-table
                    {{#if_eq OrderBy 'size'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="size"><?php _e('Size', 'opendrive')?> <span
                            class="fa fa-caret-down"></span><span class="fa fa-caret-up"></span></a>
                </div>
                <div class="col-md-1 col-sm-1 nowrap">
                    <a href="#" class="sort-table js-sort-table
                    {{#if_eq OrderBy 'dl_count'}}{{#if_eq OrderType 'asc'}}order-asc{{/if_eq}}{{#if_eq OrderType 'desc'}}order-desc{{/if_eq}}{{/if_eq}}" data-sort-by="dl_count" title="<?php _e('Downloads', 'opendrive')?>"><?php _e('D/L', 'opendrive')?> <span
                            class="fa fa-caret-down"></span><span
                            class="fa fa-caret-up"></span></a>
                </div>
            {{/if_eq}}
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="ContentFrameTab">
    {{#if_eq Type 'pdf'}}<iframe src="/pdf_viewer/{{FileId}}?previewmode=1&folder_id={{FolderId}}" class="tabframe"></iframe>{{/if_eq}}
    {{#if_eq Type 'preview'}}<iframe src="/f/{{FileId}}?previewmode=1&folder_id={{FolderId}}" class="tabframe" webkitallowfullscreen="true" mozallowfullscreen="true" allowfullscreen="true"></iframe>{{/if_eq}}
    {{#if_eq Type 'image'}}<iframe src="/f/{{FileId}}?previewmode=1&folder_id={{FolderId}}" class="tabframe"></iframe>{{/if_eq}}
    {{#if_eq Type 'media'}}<iframe src="/player/{{FileId}}?previewmode=1&folder_id={{FolderId}}" class="tabframe" webkitallowfullscreen="true" mozallowfullscreen="true" allowfullscreen="true"></iframe>{{/if_eq}}
    {{#if_eq Type 'document'}}
    <img class="image-preloading js-image-preloading" src="<?php echo wp_make_link_relative(plugins_url('/opendrive/images/loading-bar.gif'))?>">
    <iframe src="/e/{{FileId}}?previewmode=1&folder_id={{FolderId}}" class="tabframe"></iframe>
    {{/if_eq}}
</script>

<script type="text/x-handlebars-template" data-name="FileVersionsTable">
<table>
    <tr>
        <th>&nbsp;</th>
        <th><?php _e('Ver.', 'opendrive')?></th>
        <th><?php _e('Created', 'opendrive')?></th>
        <th><?php _e('Modified', 'opendrive')?></th>
        <th><?php _e('Size', 'opendrive')?></th>
        <th><?php _e('User', 'opendrive')?></th>
        <th><?php _e('Delete', 'opendrive')?></th>
    </tr>
    {{#each Versions}}
    <tr>
        <td class="filename-col"><a href="/file/{{FileId}}" target="_blank"><img src="{{ThumbLink}}" class="version-thumb"></a></td>
        <td>{{Version}}</td>
        <td>{{DateUploadedText}}</td>
        <td>{{DateModifiedText}}</td>
        <td>{{SizeText}}</td>
        <td>{{Owner}}</td>
        <td class="delete-col"><a href="#" class="delete-file-version" file-id="{{FileId}}"><?php _e('Delete', 'opendrive')?></a></td>
    </tr>
    {{/each}}
</table>
</script>