<?php if (!defined('ABSPATH')) exit; ?>
<link rel="stylesheet" href="<?php echo wp_make_link_relative(plugins_url('opendrive/css/vendor/pdfjs/viewer.min.css'))?>"/>
<!-- This snippet is used in production (included from viewer.html) -->
<link rel="resource" type="application/l10n" href="<?php echo wp_make_link_relative(plugins_url('opendrive/js/vendor/pdfjs/locale/locale.properties'))?>"/>
<script src="<?php echo wp_make_link_relative(plugins_url('opendrive/js/vendor/l10n.min.js'))?>"></script>
<script src="<?php echo wp_make_link_relative(plugins_url('opendrive/js/vendor/pdfjs/build/min/pdf.min.js'))?>"></script>

<script>
    DEFAULT_URL = '<?php echo(OpenDrive::i()->apiClient()->download_file($file->FileId, true, false, $sharing_id))?>';
    PDFJS.imageResourcesPath = '<?php echo wp_make_link_relative(plugins_url('opendrive/css/vendor/pdfjs/images'))?>';
    PDFJS.workerSrc = '<?php echo wp_make_link_relative(plugins_url('opendrive/js/vendor/pdfjs/build/min/pdf.worker.min.js'))?>';
    PDFJS.cMapUrl = '<?php echo wp_make_link_relative(plugins_url('opendrive/css/vendor/pdfjs/cmaps'))?>';
    window.addEventListener('DOMContentLoaded', function () {
        window.parent.postMessage({iframe_dom_ready: true, item_type: 'file', item_id: '<?php esc_attr_e($file_id)?>'}, '*');
    }, false);
</script>
<script src="<?php echo wp_make_link_relative(plugins_url('opendrive/js/vendor/pdfjs/build/min/pdf_viewer.min.js'))?>"></script>
