<?php
if (!defined('ABSPATH')) exit;

$playlist = false;
?>

<div id="audio-player" class="jp-jplayer"></div>
<div id="jp_container_1" class="jp-audio jp-single-player" >
    <?php if($playlist == 'true'){ ?>
    <div class="jp-type-playlist">
        <?php } else { ?>
        <div class="jp-type-single">
            <?php } ?>
            <div class="jp-gui jp-interface" >
                <ul class="jp-controls">
                    <li><a href="#" id="jplayer_play" class="jp-play" tabindex="1"><?php _e('play', 'opendrive') ?></a></li>
                    <li><a href="#" id="jplayer_pause" class="jp-pause" tabindex="1" ><?php _e('pause', 'opendrive') ?></a></li>
                    <li><a href="#" id="jplayer_stop" class="jp-stop" tabindex="1" ><?php _e('stop', 'opendrive') ?></a></li>

                    <li><a href="#" id="jplayer_volume_min" class="jp-volume-min" tabindex="1"><?php _e('min volume', 'opendrive') ?></a></li>
                    <li><a href="#" id="jplayer_volume_max" class="jp-volume-max" tabindex="1"><?php _e('max volume', 'opendrive') ?></a></li>
                </ul>
                <div class="jp-progress">
                    <div id="jplayer_load_bar" class="jp-load-bar jp-seek-bar">
                        <div id="jplayer_play_bar" class="jp-play-bar"></div>
                    </div>
                </div>
                <div id="jplayer_volume_bar" class="jp-volume-bar">
                    <div id="jplayer_volume_bar_value" class="jp-volume-bar-value"></div>
                </div>
                <div id="jplayer_play_time" class="jp-play-time jp-current-time"></div>
                <div id="jplayer_total_time" class="jp-total-time jp-duration"></div>
                <a target="_blank" href="<?php site_url(); ?>" title="<?php bloginfo('name'); ?>" class="cloud"></a>
            </div>
            <div class="jp-playlist" style="display:none;">
                <ul>
                    <li></li>
                </ul>
            </div>
            <div class="jp-no-solution" style="display:none;">
                <span><?php _e('Update Required', 'opendrive') ?></span>
                <?php _e('To play the media you will need to either update your browser to a recent version or update your <a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>', 'opendrive') ?>.
            </div>
        </div>
    </div>