<?php
/*
*Template Name: Settings Upgrade New
*/
if (!defined('ABSPATH')) exit;

require_once('template-functions.php');

$error = false;
$message = false;

$user_info = OpenDrive::i()->getUserInfo();

if ( in_array($od_page, OpenDrive::i()->getConfigItem('login_protected_pages')) )
{
    if ( !isset($user_info) || !isset($user_info->UserID) )
    {
        OpenDrive::redirectToLoginPage();
    }
}

do_action('od_check_access_page');
// THIS PAGE CODE

$payment_visible = true;
$pcode = '';

$page_title = '';
$page_title = apply_filters('od_page_title', $page_title);

ob_start();
require_once('template-header.php');

?>
<div class="fill">

    <?php echo od_get_sidebar(); ?>

    <?php $content = ''; ?>

    <?php $content = apply_filters('od_page_content', $content); ?>

    <?php echo $content; ?>


</div>
<?php
require_once('template-footer.php');
if (headers_sent()) {
    ob_end_clean();
} else {
    ob_end_flush();
}
?>