<?php
/*
*Template Name: Users New
*/
if (!defined('ABSPATH')) exit;

$sidebar_visible = false;

require_once('template-functions.php');

$user_info = OpenDrive::i()->getUserInfo();

$notice = false;

//OpenDrive::enqueueScript(array(
//    //'jquery.customslider.js',
//    'od_helpers.js',
//    'od_users_new.js'
//));
require_once('template-header.php');
?>
<div class="fill desktop-page">

    <?php echo od_get_sidebar(array()); ?>

    <div class="breadcrumb-and-buttons">
        <div class="buttons">
           <a href="#" class="br-btn" id="new-widget-btn" title="<?php _e('New Widget', 'opendrive')?>"><i class="fa fa-plus" aria-hidden="true"></i><?php _e('New Widget', 'opendrive')?></a>
        </div>
        <h2><span><a href="/desktop"><?php _e('Desktop', 'opendrive')?></a> / </span><a href="/desktop"><?php _e('Widgets', 'opendrive')?></a></h2>
    </div>

    <div class="desktop-container">
        <img style="bottom: 0; display: block; left: 0; margin: auto; max-height: 670px; max-width: 1440px; position: absolute; right: 0; top: 0;" src="<?php echo wp_make_link_relative(plugins_url('/opendrive/images/desktop_widgets.png'))?>">
    </div><!-- desktop-container-->
</div><!-- fill-->

<?php require_once('template-footer.php')?>
