<?php
if (!defined('ABSPATH')) exit;

require_once('template-functions.php');
?>
<li class="item <?php if (!isset($od_subpage) || $od_subpage == '' || $od_subpage == 'dashboard') echo 'active';?> settings-plan">
    <a href="/settings/dashboard"><i class="fa fa-tachometer" aria-hidden="true"></i><?php _e('Dashboard', 'opendrive')?></a>
</li>
<li class="item <?php if (isset($od_subpage) && $od_subpage == 'profile') echo 'active';?> settings-my-profile">
    <a href="/settings/profile"><i class="fa fa-user" aria-hidden="true"></i><?php _e('My Profile', 'opendrive')?></a>
</li>

<?php
	if ( $user_info->AccessUserID == 0 && $user_info->AccType == 2 )
	{
		?>
		<li class="item <?php if (isset($od_subpage) && $od_subpage == 'branding') echo 'active';?> settings-branding">
			<a href="/settings/branding"><i class="fa fa-sliders" aria-hidden="true"></i><?php _e('Branding', 'opendrive')?></a>
		</li>

		<?php
	}

	?>
	<li class="item <?php if (isset($od_subpage) && $od_subpage == 'activity') echo 'active';?> settings-activity">
	    <a href="/settings/activity"><i class="fa fa-list" aria-hidden="true"></i><?php _e('Activity Logs', 'opendrive')?></a>
	</li>
