<?php
if (!defined('ABSPATH')) exit;
$userInfo = OpenDrive::i()->getUserInfo();
?>
<div class="breadcrumb-and-buttons js-breadcrumbs-container">
    <?php if($filter == 'trash'):?>
        <div class="trash-notice pull-right"><?php _e('Items in trash will be automatically deleted after 30 days', 'opendrive') ?></div>
    <?php endif; ?>
    <div class="buttons">
        <?php if ($userInfo && $userInfo->Level <= 1): ?>
            <?php echo sprintf(__('Basic account up to %u tasks', 'opendrive'), 10) ?> - <a href="<?php echo apply_filters('od_extension_get_upgrade_link', '#')?>" target="_blank"><?php _e('Upgrade to unlimited', 'opendrive') ?></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        <?php endif; ?>
        <a href="#" class="br-btn disabled js-new-task-list-btn" title="<?php _e('Create Task List', 'opendrive') ?>"><i class="fa fa-plus"></i><?php _e('Task List', 'opendrive') ?></a>
    </div>

    <?php if ($userInfo && $userInfo->Level > 1): ?>
        <div class="project-buttons pull-right js-project-buttons"></div>
    <?php endif; ?>

</div>