<?php if (!defined('ABSPATH')) exit; ?>

<?php
$captcha_key = "";
if ($_SERVER['HTTP_HOST'] === 'sandbox.opendrive.com') {
    $captcha_key = '6Ld1TEAUAAAAACSSXfMAw5yX0lwl306BA7QvGjis';
}
else if(preg_match("/^[A-Za-z0-9]+\.opendrive\.com$/",$_SERVER['HTTP_HOST'])) {
	$captcha_key = '6LeCRkAUAAAAAAhA3p8k4ezqgH68D2BLFgKJ56QD';
}
else if ($_SERVER['HTTP_HOST'] === 'opendrive.local') {
    $captcha_key = '6Ld_i9AUAAAAACUcmwmm_VJWVfyv2p3PEV4uuf0A';
}
?>

<div class="lightbox" id="file-properties">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix"><span class="pull-left header-prefix"><?php _e('File Properties', 'opendrive')?></span>
				<div class="js-lightbox-title"></div>
			</h2><a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>"></a>
		</div>
		<div class="lightbox-body">
		
			<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
			<input type="hidden" id="prop-file-id" value="">
			
			<label><?php _e('File Name', 'opendrive')?>:</label>
			<input type="text" id="prop-file-name" value="" placeholder="<?php _e('File Name', 'opendrive')?>"><br>
		
			<label><?php _e('File Size', 'opendrive')?>:</label><span id="prop-file-size" class="prop-value">0 Kb</span><br>
			
			<label><?php _e('Access Permission', 'opendrive')?>:</label>
			<span class="prop-value checkboxes js-set-file-access">
				<input type="radio" name="prop_access" value="1" id="prop-access-public">
				<label for="prop-access-public" class="has-notice" title="<b><?php _e('Public', 'opendrive')?></b><br><?php _e('Anyone can access this file/folder.', 'opendrive')?>"><?php _e('Public', 'opendrive')?></label>&nbsp;&nbsp;&nbsp;
				<input type="radio" name="prop_access" value="2" id="prop-access-hidden">
				<label for="prop-access-hidden" class="has-notice" title="<b><?php _e('Hidden', 'opendrive')?></b><br><?php _e('Anyone can access this file/folder if they know the URL.', 'opendrive')?>"><?php _e('Hidden', 'opendrive')?></label>&nbsp;&nbsp;&nbsp;
				<input type="radio" name="prop_access" value="0" id="prop-access-private"><label for="prop-access-private" class="has-notice" title="<b><?php _e('Private', 'opendrive')?></b><br><?php _e('Only my shared contacts may access this file.', 'opendrive')?>"><?php _e('Private', 'opendrive')?></label>
			</span>
			<span class="prop-value checkboxes js-file-sharing-prohibited hidden">
				<input type="radio" disabled checked>
				<label for="" class="has-notice" title="<?php _e('File was disabled from sharing because it violates our terms of use. Please contact support for more details.', 'opendrive')?>"><?php _e('File cannot be shared', 'opendrive')?></label>
			</span>
			<br>
			
			<label><?php _e('Edit file online', 'opendrive')?>:</label>
			<label class="prop-value"><input type="checkbox" id="prop-file-edit-online" name="prop-file-edit-online">&nbsp;&nbsp;<?php _e('Enable online file editing by third party applications', 'opendrive')?></label><br>
			
			<div class="pull-left float-left-first">
				<label><?php _e('File Password', 'opendrive')?>:</label>
				<input type="text" id="prop-file-password" aria-label="<?php _e('File Password', 'opendrive')?>">
				<span id="prop-file-password-descr" class="small pass_warning js-pass_warning hidden"><?php _e('Password will be changed after saving of changes.', 'opendrive')?></span>
			</div>
		
			<div class="clearfix"></div>
			
			<label><?php _e('File Description/Keywords', 'opendrive')?>:</label>
			<span class="prop-value">
				<textarea id="prop-file-description" placeholder="<?php _e('File Description', 'opendrive')?>"></textarea>
			</span>
		</div>
		<div class="lightbox-buttons">
			<input type="button" class="save-btn" id="prop-save-btn" value="<?php _e('Save Changes', 'opendrive')?>">
			<input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="folder-properties">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix"><span class="pull-left header-prefix"><?php _e('Folder Properties', 'opendrive')?></span>
				<div class="js-lightbox-title"></div></h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>"></a>
		</div>
		<div class="lightbox-body">
		
			<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
			<input type="hidden" id="prop-folder-id" value="">
			
			<label><?php _e('Folder Name', 'opendrive')?>:</label>
			<input type="text" id="prop-folder-name" placeholder="<?php _e('Folder Name', 'opendrive')?>"><br>
		
			
			<label><?php _e('Access Permission', 'opendrive')?>:</label>
			<span class="prop-value checkboxes">
				<input type="radio" name="prop-folder-access" value="1" id="prop-folder-access-public">
				<label for="prop-folder-access-public" class="has-notice" title="<b><?php _e('Public', 'opendrive')?></b><br><?php _e('Anyone can access this folder', 'opendrive')?>"><?php _e('Public', 'opendrive')?></label>
				&nbsp;&nbsp;&nbsp;

				<input type="radio" name="prop-folder-access" value="2" id="prop-folder-access-hidden">
				<label for="prop-access-hidden" class="has-notice" title="<b><?php _e('Hidden', 'opendrive')?></b><br><?php _e('Anyone can access this file/folder if they know the URL', 'opendrive')?>"><?php _e('Hidden', 'opendrive')?></label>
				&nbsp;&nbsp;&nbsp;

				<input type="radio" name="prop-folder-access" value="0" id="prop-folder-access-private">
				<label for="prop-folder-access-private" class="has-notice" title="<b><?php _e('Private', 'opendrive')?></b><br><?php _e('Only my shared contacts will be able to access this folder', 'opendrive')?>"><?php _e('Private', 'opendrive')?></label>
			</span><br>
			
			<label><?php _e('Public Upload', 'opendrive')?>:</label>
			<span class="prop-value checkboxes">
				<input type="radio" name="prop-folder-upload" value="1" id="new-folder-upload-enabled">
				<label for="new-folder-upload-enabled" class="has-notice" title="<b><?php _e('Public Upload', 'opendrive')?></b><br><?php _e('Anyone can upload files into this folder if they know the URL', 'opendrive')?>"><?php _e('Enabled', 'opendrive')?></label>
				&nbsp;&nbsp;&nbsp;
				<input type="radio" name="prop-folder-upload" value="0" id="new-folder-upload-disabled">
				<label for="new-folder-upload-disabled" class="has-notice" title="<b><?php _e('Public Upload', 'opendrive')?></b><br><?php _e('Anyone can upload files into this folder if they know the URL', 'opendrive')?>"><?php _e('Disabled', 'opendrive')?></label>
			</span><br>
			
			<label><?php _e('Public Content', 'opendrive')?>:</label>
			<label class="prop-value">
				<input type="checkbox" id="prop-folder-public-content"><?php _e('Display folder content to others', 'opendrive')?>
			</label><br>

			<label><?php _e('Display subfolders', 'opendrive')?>:</label>
			<label class="prop-value">
				<input type="checkbox" id="prop-folder-public-subfolders"><?php _e('Display subfolders in public folder', 'opendrive')?>
			</label><br>
			
			<label><?php _e('Public Download', 'opendrive')?>:</label>
			<label class="prop-value">
				<input type="checkbox" id="prop-folder-public-download"><?php _e('Enable download to others', 'opendrive')?>
			</label><br>
			
			<label><?php _e('Description/Keywords', 'opendrive')?>:</label>
			<span class="prop-value">
				<textarea id="prop-folder-description" placeholder="<?php _e('Description/Keywords', 'opendrive')?>"></textarea>
			</span>
		</div>
		<div class="lightbox-buttons">
			<input type="button" id="prop-save-folder-btn" class="save-btn" value="<?php _e('Save Changes', 'opendrive')?>">
			<input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="create-new-folder">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix"><?php _e('New Folder', 'opendrive')?></h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
		
			<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
			
			<label><?php _e('Folder Name', 'opendrive')?>:</label>
			<input type="text" id="new-folder-name"><br>
		
			
			<label><?php _e('Access Permission', 'opendrive')?>:</label>
			<span class="prop-value">
				<input type="radio" name="new-folder-access" value="1" id="new-folder-access-public">
				<a class="question" href="#" tip_head="<?php _e('Public', 'opendrive')?>" tip_body="<?php _e('Anyone can access this file/folder', 'opendrive')?>"><?php _e('Public', 'opendrive')?></a>&nbsp;&nbsp;&nbsp;
				<input type="radio" name="new-folder-access" value="2" id="new-folder-access-hidden" checked>
				<a class="question" href="#" tip_head="<?php _e('Hidden', 'opendrive')?>" tip_body="<?php _e('Anyone can access this file/folder if they know the URL', 'opendrive')?>"><?php _e('Hidden', 'opendrive')?></a>&nbsp;&nbsp;&nbsp;
				<input type="radio" name="new-folder-access" value="0" id="new-folder-access-private">
				<a class="question" href="#" tip_head="<?php _e('Private', 'opendrive')?>" tip_body="<?php _e('Only my shared contacts will be able to access this file', 'opendrive')?>"><?php _e('Private', 'opendrive')?></a>
			</span><br>
			
			<label><?php _e('Public Upload', 'opendrive')?>:</label>
			<span class="prop-value">
				<input type="radio" name="new-folder-upload" value="1" id="new-folder-upload-enabled" checked>
				<a class="question" href="#" tip_head="<?php _e('Public Upload', 'opendrive')?>" tip_body="<?php _e('Anyone can upload files into this folder if they know the URL', 'opendrive')?>"><?php _e('Enabled', 'opendrive')?></a>&nbsp;&nbsp;&nbsp;
				<input type="radio" name="new-folder-upload" value="0" id="new-folder-upload-disabled">
				<a class="question" href="#" tip_head="<?php _e('Public Upload', 'opendrive')?>" tip_body="<?php _e('Anyone can upload files into this folder if they know the URL', 'opendrive')?>"><?php _e('Disabled', 'opendrive')?></a>&nbsp;&nbsp;&nbsp;
			</span><br>
			
			<label><?php _e('Public Content', 'opendrive')?>:</label>
			<span class="prop-value">
				<input type="checkbox" id="new-folder-public-content" checked><?php _e('Display folder content to others', 'opendrive')?>
			</span><br>

			<label><?php _e('Display subfolders', 'opendrive')?>:</label>
			<span class="prop-value">
				<input type="checkbox" id="new-folder-public-subfolders"><?php _e('Display subfolders in public folder', 'opendrive')?>
			</span><br>
			
			<label><?php _e('Public Download', 'opendrive')?>:</label>
			<span class="prop-value">
				<input type="checkbox" id="new-folder-public-download" checked><?php _e('Enable download to others', 'opendrive')?>
			</span><br>
			
			<label><?php _e('Description/Keywords', 'opendrive')?>:</label>
			<span class="prop-value">
				<textarea id="new-folder-description"></textarea>
			</span>
		</div>
		<div class="lightbox-buttons">
			<input type="button" id="create-folder-btn" class="save-btn" value="<?php _e('Create Folder', 'opendrive')?>">
			<input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="file-links">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix">
				<span class="pull-left header-prefix"><?php _e('Links', 'opendrive')?></span>
				<div class="js-lightbox-title"></div>
			</h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
			<div class="non-shareable-item js-not-shareable-item hidden">
				<i class="fa fa-eye-slash"></i>
				<?php _e('This file is private and others will not be able to open it.', 'opendrive')?>
				<a href="#" class="fa fa-cog js-open-file-settings"></a>
			</div>
			<?php

			if ( OpenDrive::i()->getPluginSetting('od_files_sharing'))
			{
				?>
				<label><?php _e('File Link (URL)', 'opendrive')?>:</label>
				<input type="text" id="links-file-url" value="" class="select-all-input" readonly><br>
				<?php
			}
			?>
			<div class="js-editlinkbox hidden">
				<label><?php _e('Edit Link', 'opendrive')?>:</label>
				<input type="text" id="links-edit-file-url" value="" class="select-all-input" readonly>
			</div>
			<?php
			if ( OpenDrive::i()->getPluginSetting('od_files_hotlinking') && ($od_page == 'user_account' || $od_page == 'files' || $od_page == 'folder_preview'))
			{
				?>
				<div class="js-hide-stream-dl-links">
					<label><?php _e('Direct Link (streaming)', 'opendrive')?>:</label>
					<input type="text" id="links-file-streaming" value="" class="select-all-input" readonly>
					<span class="disabled js-hotlinking-s-disabled" style="display: none">
						<?php
						_e('Disabled', 'opendrive');
						if (OpenDrive::i()->isExtensionPluginActive()):?>
							- <a href="/free"><?php _e('Enable', 'opendrive') ?></a>
						<?php endif; ?>
					</span>
					<br>

					<label><?php _e('Direct Link (download)', 'opendrive')?>:</label>
					<input type="text" id="links-file-download" value="" class="select-all-input" readonly>
					<span class="disabled js-hotlinking-dl-disabled" style="display: none">
						<?php
						_e('Disabled', 'opendrive');
						if (OpenDrive::i()->isExtensionPluginActive()):?>
							- <a href="/free"><?php _e('Enable', 'opendrive') ?></a>
						<?php endif; ?>
					</span>
                    <br>
					<br>
				</div>
				<?php
			}
			?>
			<div class="file-embed">
				<label><?php _e('HTML Embed', 'opendrive')?>:</label>
				<div class="file-embed-video-options">
					<textarea id="links-file-embed" class="select-all-input" readonly></textarea>

					<div class="video-options clearfix js-video-options">
						<div class="pull-left btn-group-vertical">
							<input class="js-enable-autoplay" type="checkbox" id="enable_autoplay"/>
						</div>
						<label class="small-label" for="enable_autoplay"><?php _e('Autoplay', 'opendrive')?></label>
					</div>

					<iframe webkitAllowFullScreen="true" mozallowfullscreen="true" allowFullScreen="true"></iframe>
				</div>
			</div>
			
			<!--<label>Thumbnail:</label>
			<input type="text" id="links-file-thumbnail" value="" class="select-all-input" readonly>-->
		</div>
	</div>
</div>

<div class="lightbox" id="file-expiring-links">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <input type="hidden" id="file-id" value="">
        <div class="lightbox-header">
            <h2 class="clearfix">
                <span class="pull-left header-prefix"><?php _e('Expiring Links', 'opendrive')?></span>
                <div class="js-lightbox-title"></div>
            </h2>
            <a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
        </div>
        <div class="lightbox-body">
            <?php

            $tomorrow = date('Y-m-d', strtotime(' +1 day'));
            if ( OpenDrive::i()->getPluginSetting('od_files_hotlinking') && ($od_page == 'user_account' || $od_page == 'files'))
            {
                ?>
                <div class="js-hide-stream-dl-expiring-links">

                    <div>

                        <label><?php _e('Expiring date', 'opendrive')?>:</label>
                        <input type="date" min="<?php echo $tomorrow; ?>" id = "expiring-link-date" >
                        <br>

                        <label><?php _e('Maximum uses', 'opendrive')?>:</label>
                        <label class="prop-value"><input type="checkbox" id="expiring-link-counter-enable" name="prop-file-edit-online">&nbsp;&nbsp;<?php _e('Using any of the Stream or Download links will count towards the total count', 'opendrive')?></label><br>
                        <input type="number" min="1" value="1" id="expiring-link-counter">
                        <br>

                    <br>
                </div>
            <div><input type="button" id="generate-btn" class="save-btn" value="<?php _e('Generate', 'opendrive')?>"></div>
            <br>
                    <div class="pull-left float-left-first">
                        <label><?php _e('Direct Link (downloading)', 'opendrive')?>:</label>
                        <input type="text" readonly id="download-expiring-file-links" aria-label="<?php _e('Direct Link (downloading)', 'opendrive')?>" class="select-all-input">
                        <label><?php _e('Direct Link (streaming)', 'opendrive')?>:</label>
                        <input type="text" readonly id="stream-expiring-file-links" aria-label="<?php _e('Direct Link (streaming)', 'opendrive')?>" class="select-all-input">
                        <label><?php _e('Number of uses', 'opendrive')?>:</label>
                        <input type="number" readonly id="expiring-links-used" aria-label="<?php _e('Number of uses', 'opendrive')?>" class="select-all-input">
                    </div>


                </div>
                <?php
            }
            ?>

        </div>
    </div>
</div>

<div class="lightbox" id="folder-expiring-links">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <input type="hidden" id="folder-id" value="">
        <div class="lightbox-header">
            <h2 class="clearfix">
                <span class="pull-left header-prefix"><?php _e('Expiring Links', 'opendrive')?></span>
                <div class="js-lightbox-title"></div>
            </h2>
            <a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
        </div>
        <div class="lightbox-body">
            <div class="non-shareable-item js-not-shareable-item hidden">
                <i class="fa fa-eye-slash"></i>
                <?php _e('This file is private and others will not be able to open it.', 'opendrive')?>
                <a href="#" class="fa fa-cog js-open-file-settings"></a>
            </div>
            <?php
            $tomorrow = date('Y-m-d', strtotime("+1 day"));

            if ( OpenDrive::i()->getPluginSetting('od_files_hotlinking') && ($od_page == 'user_account' || $od_page == 'files'))
            {
                ?>
                <div class="js-hide-stream-dl-expiring-links">

                    <div>

                        <label><?php _e('Expiring date', 'opendrive')?>:</label>
                        <input type = "date" min="<?php echo $tomorrow; ?>" id="expiring-link-date">
                        <br>

                        <label><?php _e('Maximum uses', 'opendrive')?>:</label>
                        <label class="prop-value"><input type="checkbox" id="expiring-link-counter-enable" name="prop-file-edit-online">&nbsp;&nbsp;<?php _e('All the files inside the folder will get secure expiring links', 'opendrive')?></label><br>
                        <input type = "number" min = "1" value="1" id = "expiring-link-counter">
					</span>
                        <br>
                    </div>

                    <br>
                </div>
                <div><input type="button" id="generate-btn" class="save-btn" value="<?php _e('Generate', 'opendrive')?>"></div>
                <br>

                <div class="pull-left float-left-first">
                    <label><?php _e('Folder Link (URL)', 'opendrive')?>:</label>
                    <input type="text" readonly id="url-expiring-folder-links" aria-label="<?php _e('Folder Link (URL)', 'opendrive')?>" class="select-all-input">
                    <label><?php _e('Number of uses', 'opendrive')?>:</label>
                    <input type="number" readonly id="expiring-links-used" aria-label="<?php _e('Number of uses', 'opendrive')?>" class="select-all-input">
                </div>

                <?php
            }
            ?>
        </div>
    </div>
</div>

<div class="lightbox" id="folder-links">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix">
				<span class="pull-left header-prefix"><?php _e('Links', 'opendrive')?></span>
				<div class="js-lightbox-title"></div>
			</h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
			<div class="non-shareable-item js-not-shareable-item hidden">
				<i class="fa fa-eye-slash" aria-hidden="true"></i>
				<?php _e('This folder is private and others will not be able to open it.', 'opendrive')?>
				<a href="#" class="fa fa-cog js-open-folder-settings" role="button" aria-label="<?php _e('Open folder settings', 'opendrive')?>"></a>
			</div>
			<label><?php _e('Folder Link (URL)', 'opendrive')?>:</label>
			<input type="text" id="links-folder-url" value="" class="select-all-input" readonly placeholder="<?php _e('Folder link', 'opendrive')?>"><br>
			<div class="clearfix"></div>
			<label><?php _e('File links for this folder', 'opendrive')?>:</label>
			<textarea id="links-folder-files" class="select-all-input" readonly placeholder="<?php _e('File links for this folder', 'opendrive')?>"></textarea>
			<div class="clearfix"></div>
			<label><?php _e('Direct Links', 'opendrive')?>:</label>
			<textarea id="links-folder-direct" class="select-all-input" readonly placeholder="<?php _e('Direct Links', 'opendrive')?>"></textarea>
		</div>
	</div>
</div>

<div class="lightbox" id="file-versions">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix ellipsis_overflow"><?php _e('Version History', 'opendrive')?><span></span></h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
		  <div class="lightbox-scrollable-content">
			<table>
				<tr>
					<th>&nbsp;</th>
					<th><?php _e('Ver.', 'opendrive')?></th>
					<th><?php _e('Created', 'opendrive')?></th>
					<th><?php _e('Modified', 'opendrive')?></th>
					<th><?php _e('Size', 'opendrive')?></th>
					<th><?php _e('User', 'opendrive')?></th>
					<th><?php _e('Delete', 'opendrive')?></th>
				</tr>
			</table>
		  </div>
		</div>
	</div>
</div>

<div class="lightbox" id="file-folder-move">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<input type="hidden" id="move-file-id" value="">
		<input type="hidden" id="move-folder-id" value="">
		
		<div class="lightbox-header">
			<h2 class="clearfix ellipsis_overflow">
				<span class="js-item-folder"><?php _e('Move folder', 'opendrive')?></span>
				<span class="js-item-file"><?php _e('Move file', 'opendrive')?></span>
				<span class="js-item-name"></span>
			</h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
			<div class="move-copy-folders-list">
				
			</div>
		</div>
		<div class="lightbox-buttons">
			<input type="button" id="move-file-folder-btn" class="save-btn" value="<?php _e('Move', 'opendrive')?>">
			<input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="file-folder-copy">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<input type="hidden" id="copy-file-id" value="">
		<input type="hidden" id="copy-folder-id" value="">
		
		<div class="lightbox-header">
			<h2 class="clearfix ellipsis_overflow">
				<span class="js-item-folder"><?php _e('Copy folder', 'opendrive')?></span>
				<span class="js-item-file"><?php _e('Copy file', 'opendrive')?></span>
				<span class="js-item-name"></span>
			</h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
			<div class="move-copy-folders-list">
				
			</div>
		</div>
		<div class="lightbox-buttons">
			<input type="button" id="copy-file-folder-btn" class="save-btn" value="<?php _e('Copy', 'opendrive')?>">
			<input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="send-file">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix">
				<span class="js-file"><?php _e('Send file link by email', 'opendrive')?></span>
				<span class="js-folder"><?php _e('Send folder link by email', 'opendrive')?></span>
			</h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">

			<input type="hidden" id="send-item-id" value="">
			<input type="hidden" id="send-item-type" value="">

			<div class="row">
				<div class="col-md-3"><label for="send-url"><span class="js-file"><?php _e('File', 'opendrive')?></span><span class="js-folder"><?php _e('Folder', 'opendrive')?></span> <?php _e('link (URL)', 'opendrive')?>:</label></div>
				<div class="col-md-9"><input type="text" id="send-url" class="select-all-input" value="123" placeholder="" readonly></div>
			</div>
            <div class="row">
                <div class="col-md-3"><label for="send-expiring-url"><span class="js-file"><?php _e('File', 'opendrive')?></span><span class="js-folder"><?php _e('Folder', 'opendrive')?></span> <?php _e('expiring link (URL)', 'opendrive')?>:</label></div>
                <div class="col-md-9"><input type="text" id="send-expiring-url" class="select-all-input" value="123" placeholder="" readonly></div>
            </div>
            <div class="row">
                <label class="col-md-3"><?php _e('Send expiring link', 'opendrive')?>:</label>
                <label class="col-md-6"><input type="checkbox" checked id="expiring-link-enable">&nbsp;<?php _e('If there is no expiring links a regular link will be sent.', 'opendrive')?></label><br>
            </div>
			<div class="row">
				<div class="col-md-3"><label for="send-email"><?php _e('Recipient\'s Email', 'opendrive')?>:</label></div>
				<div class="col-md-9"><input type="text" id="send-email"
											 placeholder="email_1@domain.com<?php if ( $user_info && $user_info->AccType == 2 ) echo ', email_2@domain.com';?>"></div>
			</div>
			<div class="row">
				<div class="col-md-3"><label for="send-subject"><?php _e('Subject', 'opendrive')?>:</label></div>
				<div class="col-md-9">
					<input type="text" id="send-subject" placeholder="<?php _e('Subject', 'opendrive')?>"
						data-folder="<?php _e('You Just Received a Folder', 'opendrive')?>"
						data-file="<?php _e('You Just Received a File', 'opendrive')?>"
						>
				</div>
			</div>
			<div class="row">
				<div class="col-md-3"><label for="send-message"><?php _e('Message for Recipient', 'opendrive')?>:</label></div>
				<div class="col-md-9">
					<textarea class="prop-value" id="send-message"></textarea>
				</div>
			</div>
            <?php if ($captcha_key != "") { ?>
                <div class="row" id="g-recaptcha-row">
                    <script type="text/javascript">
                        var onloadCallback = function() {
                            grecaptcha.render('g-recaptcha');
                        }
                    </script>
                    <div id="g-recaptcha" data-sitekey="<?php echo $captcha_key; ?>"></div>
                </div>
                <?php } ?>
        </div>

        <div class="lightbox-buttons">
			<input type="button" id="send-btn" class="save-btn" value="<?php _e('Send', 'opendrive')?>">
			<input type="button"  class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<div class="lightbox" id="confirm-file-replace">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2 class="clearfix ellipsis_overflow"><?php _e('Replace a file', 'opendrive')?></h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive')?>" ></a>
		</div>
		<div class="lightbox-body">
			<div class="lightbox-scrollable-content">
				<?php _e('File(s) <b class="js-filename"></b> already exists, do you want to overwrite it?', 'opendrive')?>
			</div>
		</div>
		<div class="lightbox-buttons">
			<input type="button" id="confirm-replace-btn" class="save-btn" value="<?php _e('Yes', 'opendrive')?>">
			<input type="button"  class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive')?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>
