<?php
if (!defined('ABSPATH')) exit;

$settings = new od_includes\ODPluginSettings();
$settings->sync_settings();
$user_settings = $settings->init_settings();
?>
<div class="wrap">
    <h2 class="nav-tab-wrapper" style="line-height: normal">
        <?php esc_html_e(get_admin_page_title()); ?>
    </h2>
    <div class="od_notification_area"></div>
    <div id="od_tab_content">
        <form id="od-settings" action="<?php echo admin_url() . 'admin-post.php'; ?>" method="post">
            <input type="hidden" value="1" name="od-files-tab">
            <input type="hidden" value="/wp-admin/admin.php?page=od-settings&tab=files" name="_wp_http_referer">

            <div class="simpleTabs">
                <ul class="simpleTabsNavigation">
                    <?php $settings->render_tab_nav(); ?>
                </ul>

                <?php $settings->render(); ?>

            </div>
            <p class="submit">
                <input type="submit" id="save_settings" name="save_settings" class="button-primary"
                       value="<?php _e('Save Settings', 'opendrive') ?>"/>
                <input type="submit" id="reset_settings" name="reset_settings" class="button-primary"
                       value="<?php _e('Reset Settings', 'opendrive') ?>"/>
            </p>
        </form>
    </div>

</div>
<script>
    var od_user_settings = <?php echo json_encode($user_settings);  ?>;
</script>
