<?php
/*
*Template Name: Password-reset
*/
if (!defined('ABSPATH')) exit;
$message = null;
$forgot_username = OpenDrive::postValue('login_username', null, false);
OpenDrive::i()->apiClient()->password_restore_confirm_code(get_query_var( 'user_id' ), get_query_var( 'user_id_access' ), get_query_var( 'reset_code' ));
if (OpenDrive::i()->apiClient()->error) {
    $message = OpenDrive::i()->apiClient()->error_message;
} else {
    $message = "New password is sent to your email address.";
}

?>
<?php require_once('template-header-simple.php') ?>
    <div id="login-content">
        <div class="col-md-4 col-sm-0">&nbsp;</div>
        <div class="col-md-4 col-md-12 form-col">
            <div id="login-form-container">
                <div id="login-form" method="POST">
                    <div class="row">
                        <div class="col-md-2 col-sm-1 col-xs-1">&nbsp;</div>
                        <div class="col-md-8 col-sm-10 col-xs-10">
                        
                            <a href="/"><img src="<?php echo $logo_url?>" alt="<?php esc_attr_e($drive_name) ?>"></a>
                            <h3 style="color: white; text-align: center"><?php echo $message?></h3>
                            <br>
                            <a href="/login" class="btn btn-primary col-md-6 col-sm-12 col-xs-10 centered">Login</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-0">&nbsp;</div>
    </div>

<?php require_once('template-footer.php') ?>
